//-----------------------------------------------------------------------------
// File: JoyFFeed.h
//
// Desc: Header file for for DirectInput sample
//
//
// Copyright (c) 1997 Microsoft Corporation. All rights reserved.
//-----------------------------------------------------------------------------

#ifndef JOY_FFEED_H
#define JOY_FFEED_H

//-----------------------------------------------------------------------------
// External function-prototypes
//-----------------------------------------------------------------------------
extern HRESULT InitDirectInput( HWND hDlg );
extern HRESULT FreeDirectInput();

extern HRESULT EnumerateJoysticks( HWND hDlg );
extern HRESULT UseJoystick( HWND hDlg, int n);
extern HRESULT ReleaseJoystick( HWND hWnd);

extern HRESULT GetJoystickState(DIJOYSTATE *state);
extern HRESULT GetButtonName(int n, char *name, int bufsiz);

extern BOOL IsDeviceNumber();
extern BOOL IsPortName();
extern BOOL IsRumbleCommand();
extern BOOL IsPakIO();
extern BOOL IsRangeClipping();
extern BOOL IsCornerStretch();
extern BOOL IsDirectCommand();
extern HRESULT GetDeviceNumber(DWORD *val);
extern HRESULT GetPortName(char *buf, int bufsize);
extern HRESULT SendRumbleCommand( DWORD val);
extern HRESULT InitializePak(BYTE *status);
extern HRESULT ReadPak(DWORD addr, BYTE *data);
extern HRESULT WritePak(DWORD addr, BYTE *data);
extern HRESULT GetRangeClipping( DWORD *val);
extern HRESULT SetRangeClipping( DWORD val);
extern HRESULT GetCornerStretch( DWORD *val);
extern HRESULT SetCornerStretch( DWORD val);
extern HRESULT DirectCommand(BYTE *command, int commandsize, BYTE *result, int *resultsize);


//-----------------------------------------------------------------------------
// External global variables
//-----------------------------------------------------------------------------
extern HINSTANCE g_hInst;

extern IDirectInputDevice2 *g_pJoystick;  // currently selected joystick device
extern int                  g_nCurrentDevice;
extern int                  g_nButtonCount;
extern LONG                 g_xMin;
extern LONG                 g_xMax;
extern LONG                 g_yMin;
extern LONG                 g_yMax;

extern int                  g_nDevices;
extern char                 g_pDeviceNames[16][MAX_PATH];
extern GUID                 g_gDeviceGuids[16];
extern BOOL                 g_bAcquired;


#endif // !defined(JOY_FFEED_H)
